body                  package:base                  R Documentation

Access to and Manipulation of the Body of a Function

Description:

     Get or set the body of a function.

Usage:

     body(fun = sys.function(sys.parent()))
     body(fun, envir = parent.frame()) <- value

Arguments:

     fun: a function object, or see Details.

   envir: environment in which the function should be defined.

   value: an expression or a list of R expressions.

Details:

     For the first form, 'fun' can be a character string naming the
     function to be manipulated, which is searched for from the parent
     environment. If it is not specified, the function calling 'body'
     is used.

Value:

     'body' returns the body of the function specified.

     The assignment form sets the body of a function to the list on the
     right hand side.

See Also:

     'alist', 'args', 'function'.

Examples:

     body(body)
     f <- function(x) x^5
     body(f) <- expression(5^x)
     ## or equivalently  body(f) <- list(quote(5^x))
     f(3) # = 125
     body(f)

